
Redmine - Defect #4334

"Watch"ing an issue doesn't update watchers list

2009-12-04 00:09 - Felix Schäfer

Status: Closed Start date: 2009-12-04

Priority: Low Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 3.1.0   

Resolution: Fixed Affected version:  

Description

Not sure how hard it would be to implement that one, but I think you should appear or disappear from the watchers list when you click

on the "Watch" link in an issue.

Related issues:

Related to Redmine - Defect #15634: Add watching users to a ticket should swi... Closed

Associated revisions

Revision 14238 - 2015-05-08 10:17 - Jean-Philippe Lang

Refresh watchers list when watching/unwatching an issue (#4334).

History

#1 - 2009-12-04 19:52 - Jean-Philippe Lang

- Priority changed from Normal to Low

Indeed.

#2 - 2009-12-04 21:07 - Nanda P

Refresh the page, after selecting Watch or Unwatch  :)

#3 - 2013-02-06 08:58 - Daniel Felix

- Affected version (unused) deleted (devel)

hi,

any news on this?

Another suggestion could be a simple jQuery script, which requests the current watchers and load them into the div #watchers.

Best regards,

Daniel

#4 - 2014-10-21 12:36 - Marcin Świątkiewicz

- File watchers_list_refresh_patch.diff added

Hi.

I already solved this issue, but there was another problem - when you add user(s) from modal window then if you want see list of watchers you should

refresh page, but this diff solved all of this problems.

Developed on Redmine 2.5.2.

See diff.

Marcin.

#5 - 2015-03-07 10:56 - Go MAEDA

+1
#6 - 2015-03-20 04:00 - Go MAEDA

- Target version set to 3.1.0

I tested the patch with IE8 (Windows 7), Firefox (Mac), Chrome (Mac) and Safari (Mac). Works fine.

#7 - 2015-05-08 10:18 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

This is fixed in r14238. I'm not sure about what other things the attached patch is supposed to fix, please open a separate issue if needed.

#8 - 2021-07-10 03:59 - Go MAEDA

- Related to Defect #15634: Add watching users to a ticket should switch "watch" link to "unwatch" if own user was added added

Files

watchers_list_refresh_patch.diff 3.7 KB 2014-10-21 Marcin Świątkiewicz
